Discard a sync preview
DELETE
/sync/preview/{previewId}
const url = 'https://example.com/api/v1/sync/preview/example';const options = {method: 'DELETE'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request DELETE \ --url https://example.com/api/v1/sync/preview/exampleRemoves a stored preview snapshot.
This endpoint does not trigger any Arr sync action; it only removes the cached preview and does not change runtime configuration.
Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”previewId
required
string
Preview snapshot ID
Responses
Section titled “Responses”Preview discarded
Preview not found or expired
Media typeapplication/json
object
error
required
Error message
string
Examplegenerated
{ "error": "example"}Failed to delete preview
Media typeapplication/json
object
error
required
Error message
string
Examplegenerated
{ "error": "example"}